/* Solução Banner */
.solucao-banner {
  height: 960px;
  width: 100%;
  background-image: url("/assets/images/solucao-ideal/solucao-banner.jpg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  position: relative;
}

.solucao-banner .container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  height: 100%;
}

.solucao-banner h1 {
  font-size: 50px;
  font-weight: 300;
  color: #ffffff;
  line-height: 60px;
  max-width: 700px;
  margin-bottom: 40px;
  display: inline-block;
}

.solucao-banner h1 strong {
    font-weight: 700;
}

.solucao-banner .solucao-banner-subtitle {
    font-family: 'Arimo', sans-serif;
    font-size: 20px;
    line-height: 30px;
    color: #ffffff;
    max-width: 680px;
    margin-bottom: 40px;
}

.solucao-banner-logo {
    display: flex;
    align-items: center;
    gap: 30px;
    padding: 30px;
    background-color: #0000001A;
    border: 1px solid #FFFFFF33;
    border-radius: 12px;
    backdrop-filter: blur(24px);
    -webkit-backdrop-filter: blur(24px);
    margin-bottom: 50px;
}

.solucao-banner-logo p {
    font-size: 20px;
    line-height: 26px;
    color: #ffffff;
}

.solucao-banner-ceabs {
    position: absolute;
    right: 64px;
    bottom: -110px;
}

/* Soluções Desafios */
.solucao-desafios {
    padding-top: 150px;
    padding-bottom: 150px;
    background-image: url("/assets/images/solucao-ideal/solucao-desafios.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    overflow: hidden;
}

.solucao-desafios h2 {
    font-size: 50px;
    font-weight: 300;
    line-height: 68px;
    color: #ffffff;
    text-align: center;
    padding: 0 20px;
    margin-bottom: 40px;
}

.solucao-desafios h2 strong {
    font-weight: 700;
}

.solucao-desafios-carrosel {
    display: flex;
    align-items: center;
    gap: 40px;
    width: max-content;
    animation: scroll 16s linear infinite;
}

@keyframes scroll {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-50%);
    }
}

.solucao-desafios-item {
    height: 74px;
    width: 287px;
    display: flex;
    align-items: center;
    gap: 19px;
    font-size: 15px;
    color: #ffffff;
    padding: 5px 5px 5px 20px;
    background-color: #0000001A;
    border: 1px solid #FFFFFF33;
    border-radius: 12px;
    backdrop-filter: blur(24px);
    -webkit-backdrop-filter: blur(24px);
}

/* Solução Pain */
.solucao-pain {
    padding: 140px 20px 395px 20px;
    background-image: url("/assets/images/solucao-ideal/solucao-bg.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
    clip-path: polygon(0 0, 0% 0%, 100% 0%, 100% 120px, 100% 100%, 57% 100%, 47% 95%, 0 95%);
}

.solucao-pain .solucao-pain-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    row-gap: 25px;
    column-gap: 38px;
    margin-bottom: 150px;
}

.solucao-pain .solucao-pain-item-headline {
    width: 840px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.solucao-pain .solucao-pain-item-headline-container {
    max-width: 656px;
}

.solucao-pain .solucao-pain-item-headline h2 {
    font-size: 50px;
    font-weight: 300;
    line-height: 58px;
    color: #ffffff;
    margin-bottom: 35px;
}

.solucao-pain .solucao-pain-item-headline h2 strong {
    font-weight: 700;
}

.solucao-pain .solucao-pain-item-headline p:first-of-type {
    font-family: 'Arimo', sans-serif;
    font-size: 20px;
    line-height: 30px;
    color: #ffffff;
    margin-bottom: 20px;
}

.solucao-pain .solucao-pain-item-headline p:last-of-type {
    font-size: 25px;
    font-weight: 700;
    line-height: 40px;
    color: #ffffff;
}

.solucao-pain .solucao-pain-item {
    min-height: 455px;
    width: 841px;
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
    transition: all .2s;
}

.solucao-pain .solucao-pain-item:nth-of-type(2) {
    background-image: url("/assets/images/solucao-ideal/solucao-1.png");
}

.solucao-pain .solucao-pain-item:nth-of-type(3) {
    background-image: url("/assets/images/solucao-ideal/solucao-2.png");
}

.solucao-pain .solucao-pain-item:nth-of-type(4) {
    background-image: url("/assets/images/solucao-ideal/solucao-3.png");
}

.solucao-pain .solucao-pain-item:nth-of-type(5) {
    background-image: url("/assets/images/solucao-ideal/solucao-4.png");
}

.solucao-pain .solucao-pain-item:nth-of-type(6) {
    background-image: url("/assets/images/solucao-ideal/solucao-5.png");
}

.solucao-pain .solucao-pain-item .solucao-pain-item-wrapper {
    padding: 47px 41px 50px 50px;
}

.solucao-pain-item-header {
    display: flex;
    align-items: center;
    gap: 23px;
    margin-bottom: 70px;
}

.solucao-pain-item-header h2 {
    font-size: 35px;
    line-height: 55px;
    color: #ffffff;
}

.solucao-pain .solucao-pain-item h3 {
    font-size: 25px;
    line-height: 35px;
    color: #ffffff;
    max-width: 500px;
    margin-bottom: 18px;
}

.solucao-pain .solucao-pain-item h4 {
    font-size: 20px;
    line-height: 30px;
    color: #ffffff;
}

.solucao-pain .solucao-pain-item p {
    font-family: 'Arimo', sans-serif;
    font-size: 20px;
    line-height: 30px;
    color: #ffffff;
    max-width: 612px;
}

.solucao-pain-item-button {
    height: 43px;
    width: 146px;
    font-size: 14px;
    font-weight: 700;
    color: #010101;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-left: 17px;
    padding-right: 20px;
    margin-top: 72px;
    background-color: #FFFFFF;
    border: 1px solid #FFFFFF;
    border-radius: 6px;
    cursor: pointer;
    transition: all .2s;
}

.solucao-pain-item-button svg path {
    stroke: #010101;
    transition: all .2s;
}

.solucao-pain-item-text-hover {
    opacity: 0;
    transition: all .2s;
}

.solucao-pain-item:hover:nth-of-type(2) {
    background-image: url("/assets/images/solucao-ideal/solucao-1-hover.png");
}

.solucao-pain-item:hover:nth-of-type(3) {
    background-image: url("/assets/images/solucao-ideal/solucao-2-hover.png");
}

.solucao-pain-item:hover:nth-of-type(4) {
    background-image: url("/assets/images/solucao-ideal/solucao-3-hover.png");
}

.solucao-pain-item:hover:nth-of-type(5) {
    background-image: url("/assets/images/solucao-ideal/solucao-4-hover.png");
}

.solucao-pain-item:hover:nth-of-type(6) {
    background-image: url("/assets/images/solucao-ideal/solucao-5-hover.png");
}

.solucao-pain-item:hover .solucao-pain-item-button {
    color: #FFFFFF;
    background-color: #FFFFFF1A;
}

.solucao-pain-item:hover .solucao-pain-item-button svg path {
    stroke: #FFFFFF;
}

.solucao-pain-item:hover .solucao-pain-item-text-hover {
    opacity: 1;
}

.solucao-pain-item-text-hide,
.solucao-pain-item-divider {
    display: none;
}

.solucao-pain-item-divider {
    height: 1px;
    width: 100%;
    margin: 37px 0;
    background-color: #FFFFFF;
}

.solucao-pain-item.solucao-pain-item-active {
    background-image: none;
}

.solucao-pain-item.solucao-pain-item-active .solucao-pain-item-clip {
    background-color: #D9D9D9;
    border-radius: 12px;
    clip-path: polygon(81% 95%, 71.2% 100%, 0% 100%, 0% 0%, 100% 0%, 100% 95%);
}

.solucao-pain-item.solucao-pain-item-active .solucao-pain-item-wrapper {
    background: #0f1e37;
    border-radius: 16px;
    clip-path: polygon(
        calc(81% - 1px) calc(95% - 1px),
        calc(71% + 1px) calc(100% - 1px),
        1px calc(100% - 1px),
        1px 1px,
        calc(100% - 1px) 1px,
        calc(100% - 1px) calc(95% - 1px)
    );
}

.solucao-pain-item.solucao-pain-item-active .solucao-pain-item-text-hide,
.solucao-pain-item.solucao-pain-item-active .solucao-pain-item-divider {
    display: flex;
    align-items: center;
    gap: 10px;
}

.solucao-pain-item.solucao-pain-item-active .solucao-pain-item-text-hover {
    opacity: 1;
}

.solucao-pain-item.solucao-pain-item-active .solucao-pain-item-button {
    margin-top: 37px;
    gap: 0;
    color: #FFFFFF;
    background-color: #FFFFFF1A;
}

.solucao-pain-item.solucao-pain-item-active .solucao-pain-item-button svg path {
    stroke: #FFFFFF;
}

.solucao-pain-item.solucao-pain-item-active .solucao-pain-item-button._js_solucao_button svg {
    transform: rotate(180deg);
}

/* Solucao Medidas */
.solucao-medidas {
    text-align: center;
}

.solucao-medidas h2 {
    font-size: 50px;
    font-weight: 300;
    line-height: 58px;
    color: #ffffff;
    margin-bottom: 45px;
}

.solucao-medidas h2 strong {
    font-weight: 700;
}

.solucao-medidas p {
    font-size: 20px;
    line-height: 30px;
    color: #ffffff;
    margin-bottom: 45px;
}

.solucao-medidas .solucao-medidas-container {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 6px;
}

.solucao-medidas .solucao-medidas-item {
    height: 328px;
    width: 385px;
    display: flex;
    align-items: flex-end;
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    padding: 5px 5px 30px 36px;
}

.solucao-medidas .solucao-medidas-item:hover {
    background-size: 110%;
}

.solucao-medidas .solucao-medidas-item:nth-of-type(1) {
    background-image: url("/assets/images/solucao-ideal/solucao-avaliacao-1.png")
}

.solucao-medidas .solucao-medidas-item:nth-of-type(2) {
    background-image: url("/assets/images/solucao-ideal/solucao-avaliacao-2.png")
}

.solucao-medidas .solucao-medidas-item:nth-of-type(3) {
    background-image: url("/assets/images/solucao-ideal/solucao-avaliacao-3.png")
}

.solucao-medidas .solucao-medidas-item h5 {
    font-size: 25px;
    font-weight: 700;
    line-height: 30px;
    color: #ffffff;
}

.solucao-medidas-cta {
    text-align: center;
    margin-top: 40px;
}

/* Solucao Contact */
.solucao-contact {
    padding-top: 300px;
    padding-bottom: 150px;
    margin-top: -165px;
    background-color: #0F1E37;
}

.solucao-contact-bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.solucao-contact-form-content h3 {
    font-size: 40px;
    font-weight: 300;
    line-height: 50px;
    color: #ffffff;
    margin-bottom: 58px;
    max-width: 650px;
}

.solucao-contact-form-content h3 strong {
    font-weight: 700;
}

.solucao-contact-form-content p {
    font-size: 20px;
    line-height: 30px;
    color: #ffffff;
    max-width: 300px;
    position: absolute;
    top: 43px;
    left: 54%;
}

.solucao-contact-form {
    width: 490px;
    padding: 24px 35px 32px 35px;
    background-color: #FFFFFF66;
    border: 1px solid #FFFFFF66;
    border-radius: 12px;
    backdrop-filter: blur(24px);
    -webkit-backdrop-filter: blur(24px);
}

.solucao-contact-form h3 {
    font-size: 25px;
    font-weight: 300;
    line-height: 32px;
    color: #ffffff;
    margin-bottom: 20px;
}

.solucao-contact-form h3 strong {
    font-weight: 700;
}

.solucao-contact-form input {
    font-size: 15px;
    font-weight: 300;
    height: 58px;
    width: 100%;
    padding: 12px 16px;
    background-color: #F8F8F8;
    border: 1px solid #E3E3E4;
    border-radius: 4px;
    color: #45484C;
    margin-bottom: 24px;
}

.solucao-contact-form .btn {
    width: 130px;
    display: block;
    margin-left: auto;
}

@media (max-width: 1759px)  {
    .solucao-pain {
        clip-path: polygon(0 0, 0% 0%, 100% 0%, 100% 120px, 100% 100%, 57% 100%, 47% 96%, 0 96%);
    }
}

@media (max-width: 1024px)  {
    .solucao-medidas .solucao-medidas-container {
        flex-direction: column;
    }

    .solucao-pain {
        clip-path: polygon(0 0, 0% 0%, 100% 0%, 100% 120px, 100% 100%, 64% 100%, 40% 97%, 0 97%);
    }
}

@media (max-width: 768px) {
    .solucao-banner h1 {
        padding-top: 40px;
    }

    .solucao-banner-ceabs {
        display: none;
    }

    .solucao-pain .solucao-pain-item {
        background-size: cover;
        border-left: 1px solid #ffff;
        border-radius: 12px;
    }

    .solucao-contact-bottom {
        flex-direction: column;
        gap: 50px;
    }
}

@media (max-width: 730px) {
    .solucao-pain .solucao-pain-item {
        border-right: 1px solid #ffff;
        background-position: left;
    }

    .solucao-pain-item-header h2 {
        font-size: 30px;
        line-height: 50px;
    }
}

@media (max-width: 500px) {
    .solucao-banner h1,
    .solucao-desafios h2,
    .solucao-pain .solucao-pain-item-headline h2,
    .solucao-medidas h2,
    .solucao-contact-form-content h3 {
        font-size: 36px;
        line-height: 46px;
    }

    .solucao-pain .solucao-pain-item-headline p:last-of-type {
        font-size: 20px;
        line-height: 35px;
    }

    .solucao-pain .solucao-pain-item .solucao-pain-item-wrapper {
        padding: 30px 20px 30px 20px;
    }

    .solucao-medidas .solucao-medidas-item {
        background-size: cover;
    }

    .solucao-pain {
        padding: 140px 20px 300px 20px;
        clip-path: polygon(0 0, 0% 0%, 100% 0%, 100% 120px, 100% 100%, 68% 100%, 34% 97%, 0 97%);
    }

    .solucao-contact-form-content p {
        position: initial;
        max-width: none;
        margin-bottom: 40px;
    }

    .solucao-contact-form {
        width: 100%;
        padding: 24px 20px 32px 20px;
    }
}

@media (max-width: 360px) {
    .solucao-banner h1 {
        padding-top: 100px;
    }
}